USE [master]
GO

IF EXISTS (SELECT name FROM sys.databases WHERE name = N'PLSSUG_DEMO2')
DROP DATABASE [PLSSUG_DEMO2]
GO

CREATE DATABASE [PLSSUG_DEMO2]
ON PRIMARY (
	NAME		= N'PLSSUG_DEMO2',
	FILENAME	= N'C:\Program Files\Microsoft SQL Server\MSSQL12.MSSQLSERVER\MSSQL\DATA\PLSSUG_DEMO2.mdf',
	SIZE		= 102400KB,
	FILEGROWTH	= 51200KB,
	MAXSIZE		= UNLIMITED
),
FILEGROUP [FS_DOCS] CONTAINS FILESTREAM DEFAULT (
	NAME		= N'FS_DOCS2',
	FILENAME	= N'C:\Program Files\Microsoft SQL Server\MSSQL12.MSSQLSERVER\MSSQL\DATA\FS_DOCS2',
	MAXSIZE		= UNLIMITED)
LOG ON (
	NAME		= N'PLSSUG_DEMO2_log',
	FILENAME	= N'C:\Program Files\Microsoft SQL Server\MSSQL12.MSSQLSERVER\MSSQL\DATA\PLSSUG_DEMO2_log.ldf',
	SIZE		= 51200KB,
	FILEGROWTH	= 20480KB
)