USE [PLSSUG_DEMO4]
GO

/*
NON_TRANSACTED_ACCESS = { OFF | READ_ONLY | FULL }
OFF			- Non-transactional access to FileTable data is disabled.
READ_ONLY	- FILESTREAM data in FileTables in this database can be read by non-transactional processes.
FULL		- Full non-transactional access to FILESTREAM data in FileTables is enabled.

*/

ALTER DATABASE [PLSSUG_DEMO4] SET FILESTREAM (
	NON_TRANSACTED_ACCESS		= OFF,
	DIRECTORY_NAME				= N'PlikiMp3'
) 
GO

ALTER DATABASE [PLSSUG_DEMO4] SET FILESTREAM (
	NON_TRANSACTED_ACCESS		= FULL,
	DIRECTORY_NAME				= N'PLSSUG_DEMO4'
) 
GO