USE [master]
GO

IF EXISTS (SELECT name FROM sys.databases WHERE name = N'DEMO_MP3')
DROP DATABASE [DEMO_MP3]
GO

CREATE DATABASE [DEMO_MP3]
ON PRIMARY (
	NAME		= N'DEMO_MP3',
	FILENAME	= N'C:\Program Files\Microsoft SQL Server\MSSQL12.MSSQLSERVER\MSSQL\DATA\DEMO_MP3.mdf',
	SIZE		= 102400KB,
	FILEGROWTH	= 51200KB,
	MAXSIZE		= UNLIMITED
),
FILEGROUP [FS_MP3] CONTAINS FILESTREAM DEFAULT (
	NAME		= N'FS_DEMO_MP3',
	FILENAME	= N'C:\Program Files\Microsoft SQL Server\MSSQL12.MSSQLSERVER\MSSQL\DATA\DEMO_MP3',
	MAXSIZE		= UNLIMITED)
LOG ON (
	NAME		= N'DEMO_MP3_log',
	FILENAME	= N'C:\Program Files\Microsoft SQL Server\MSSQL12.MSSQLSERVER\MSSQL\DATA\DEMO_MP3_log.ldf',
	SIZE		= 51200KB,
	FILEGROWTH	= 20480KB
)